/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Community System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@ricochet.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001-2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.htmlcheck;

public interface HTMLChecker
{
  public void append(String str) throws AlreadyFinishedException;

  public void finish() throws AlreadyFinishedException;

  public void reset();

  public String getValue() throws NotYetFinishedException;

  public int getLength() throws NotYetFinishedException;

  public int getLines() throws NotYetFinishedException;

  public int getCounter(String name) throws NotYetFinishedException;

  public Object getContextValue(String name);

  public void setContextValue(String name, Object val);

} // end interface HTMLChecker
