<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.conf.view.PostsView" %>
<%@ page import = "com.silverwrist.venice.ui.view.NestedJSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%@ taglib uri="/tlds/topic" prefix="topic" %>
<%
  NestedJSPView view = NestedJSPView.get(request);
  PostsView outer_view = (PostsView)(view.getOuterView());
  final int my_unread = outer_view.getUnread();
  final short my_next = outer_view.getNextTopic();
  final String restorer = "rtop=" + outer_view.getTopic().getTopicNumber() + "&rct=" + my_unread;
%>
<%-- Broken out from posts.jsp, which was getting too large and complex --%>
<util:comment>Topic user controls section</util:comment>
<util:xlink>
  <util:href type="servlet">conf/topics.js.vs?cc=<comm:ID/>&conf=<conf:ID/></util:href>
  <util:text><util:button id="topic_list"/></util:text>
</util:xlink>
&nbsp;
<topic:is_hidden>
  <util:xlink>
    <util:href type="servlet">
      conf/hide_topic.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<topic:number/>&flag=0
    </util:href>
    <util:text><util:button id="show_topic"/></util:text>
  </util:xlink>
</topic:is_hidden>
<topic:is_not_hidden>
  <util:xlink>
    <util:href type="servlet">
      conf/hide_topic.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<topic:number/>&flag=1
    </util:href>
    <util:text><util:button id="hide_topic"/></util:text>
  </util:xlink>
</topic:is_not_hidden>
&nbsp;
<% if (outer_view.canDoNextTopic()) { %>
  <util:xlink>
    <util:href type="servlet">
      conf/posts.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<%= my_next %>&rnm=1
    </util:href>
    <util:text><util:button id="next_topic"/></util:text>
  </util:xlink>
  &nbsp;
  <% if (my_unread>0) { %>
    <util:xlink>
      <util:href type="servlet">
        conf/posts.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<%= my_next %>&rnm=1&<%= restorer %>
      </util:href>
      <util:text><util:button id="next_topic_keep"/></util:text>
    </util:xlink>
    &nbsp;
<%
  } // end if
} // end if
%>
<util:xlink>
  <util:href type="servlet">conf/find.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<topic:number/></util:href>
  <util:text><util:button id="find"/></util:text>
</util:xlink>
&nbsp;
<util:xlink>
  <util:href type="servlet">
    conf/manage_topic.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<topic:number/>
  </util:href>
  <util:text><util:button id="manage"/></util:text>
</util:xlink>
